> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# APIカタログを一覧取得する

> プロジェクトの有効なAPIカタログを一覧取得します。



## OpenAPI

````yaml /ja/api-reference/openapi.yaml get /v1/projects/{projectId}/catalogs
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /v1/projects/{projectId}/catalogs:
    parameters:
      - $ref: '#/components/parameters/ProjectId'
    get:
      tags:
        - catalog
      summary: list-api-catalogs
      description: プロジェクトの有効なAPIカタログを一覧取得します。
      operationId: listApiCatalogs
      responses:
        '200':
          description: リクエストが成功しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogListResponse'
        '400':
          $ref: '#/components/responses/CatalogBadRequest'
        '401':
          $ref: '#/components/responses/CatalogUnauthenticated'
        '403':
          $ref: '#/components/responses/CatalogPermissionDenied'
        '404':
          $ref: '#/components/responses/CatalogNotFound'
        '413':
          $ref: '#/components/responses/CatalogPayloadTooLarge'
        '500':
          $ref: '#/components/responses/CatalogInternalServerError'
      security:
        - bearerAuth: []
components:
  parameters:
    ProjectId:
      name: projectId
      in: path
      description: NotiflyのプロジェクトIDです。
      required: true
      schema:
        type: string
        pattern: ^[a-f0-9]{32}$
        minLength: 32
        maxLength: 32
  schemas:
    CatalogListResponse:
      type: object
      required:
        - data
        - error
      properties:
        data:
          type: object
          required:
            - catalogs
            - next_cursor
            - links
          properties:
            catalogs:
              type: array
              items:
                $ref: '#/components/schemas/Catalog'
            next_cursor:
              nullable: true
              enum:
                - null
            links:
              $ref: '#/components/schemas/Links'
        error:
          nullable: true
          enum:
            - null
      example:
        data:
          catalogs:
            - name: products
              description: 메시지 개인화용 상품 정보
              data_classification: non_personal
              fields:
                - name: id
                  type: string
              num_items: 120
              updated_at: '2026-08-04T12:00:00Z'
              links: {}
          next_cursor: null
          links: {}
        error: null
    Catalog:
      type: object
      required:
        - name
        - description
        - data_classification
        - fields
        - num_items
        - updated_at
        - links
      properties:
        name:
          type: string
        description:
          type: string
          nullable: true
        data_classification:
          type: string
          enum:
            - non_personal
          description: 個人を特定できない参照データに対応します。
        fields:
          type: array
          items:
            $ref: '#/components/schemas/CatalogField'
        num_items:
          type: integer
          minimum: 0
        updated_at:
          type: string
          format: date-time
        links:
          $ref: '#/components/schemas/Links'
    Links:
      type: object
      additionalProperties:
        anyOf:
          - type: string
          - nullable: true
            enum:
              - null
    CatalogApiErrorResponse:
      type: object
      required:
        - data
        - error
      properties:
        data:
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/CatalogApiError'
      example:
        data: null
        error:
          code: INVALID_ARGUMENT
          message: Invalid bulk item request.
          details:
            - field: items[0].unknown_field
              path:
                - items
                - 0
                - unknown_field
              code: invalid-fields
              message: 'Unrecognized field: unknown_field.'
    CatalogField:
      oneOf:
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - string
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - number
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - boolean
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - time
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - array
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - object
        - type: object
          additionalProperties: false
          required:
            - name
            - type
          properties:
            name:
              type: string
              pattern: ^[A-Za-z0-9_-]+$
              maxLength: 250
              not:
                enum:
                  - __proto__
            type:
              enum:
                - geo
    CatalogApiError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: array
          description: 入力検証に失敗したフィールドとパスを示します。クライアント側では、この構造化された情報を参照してください。
          items:
            $ref: '#/components/schemas/CatalogApiValidationErrorDetail'
      additionalProperties: true
    CatalogApiValidationErrorDetail:
      type: object
      description: 入力検証エラー1件分の情報です。`field`はドットと角括弧で表したフィールドパスです。`path`は同じ位置を文字列と数値の配列で表します。
      required:
        - field
        - path
        - code
        - message
      properties:
        field:
          type: string
          description: ドットと角括弧で表したフィールドのパスです。例は`items[0].price`です。
        path:
          type: array
          description: フィールドのパスを文字列と数値の要素に分けた配列です。
          items:
            anyOf:
              - type: string
              - type: integer
        code:
          type: string
          description: 入力が拒否された理由を示すコードです。
        message:
          type: string
          description: 入力検証エラーの内容を示すメッセージです。
      additionalProperties: false
  responses:
    CatalogBadRequest:
      description: Catalog APIへのリクエストが不正です。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
    CatalogUnauthenticated:
      description: 認証が必要です。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
    CatalogPermissionDenied:
      description: プロジェクトへのアクセス権限がありません。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
    CatalogNotFound:
      description: 指定したカタログリソースが見つかりません。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
    CatalogPayloadTooLarge:
      description: JSON本文が4 MiBを超えています。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
    CatalogInternalServerError:
      description: サーバー内部エラーです。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CatalogApiErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.